Register Program Employees

Method registers or unregisters employees for a given program.

Request Information

Scheme

POST https://api.startexam.com/v1/program/employees

URI Parameters

None

Body Parameters

Json with a RegisterProgramEmployeesQuery:

  • ProgramId - Program identifier, guid from StartExam.
  • ProgramExternalId - Program external identifier. Pass your own string ID from integrated system rather than guid from StartExam for easier integration (optional).
  • ModuleTestsScope - pass all to apply action for all tests in a program, or pass selected to apply action only for selected tests in a program.
  • ModuleTests - identifiers of specific module tests, guids from StartExam. Used only for ModuleTestsScope = selected and manual program mode.
  • RegisterEmployees - Identifiers of employees to register. One request must not contain more than 500 employees to register.
  • UnregisterEmployees - Identifiers of employees to unregister. One request must not contain more than 500 employees to unregister.

Request Example

Example 1: all scope: register / unregister for all tests at once.
Example 2: selected scope: register / unregister for specified tests.

POST https://api.startexam.com/v1/program/employees HTTP/1.1
Host: api.startexam.com
Accept: application/json; charset=utf-8
Authorization: SharedKey 99:f52JP7GQd0xqrBzMO1NWTNVGzLENymgdUXu/Ie++NX4=
Content-Type: application/json; charset=utf-8
Content-Length: 237
Date: Tue, 31 Mar 2026 01:21:33 GMT

{
  "programId": "95a6e267-1765-4a93-98b1-c6ca5ef2cd61",
  "programExternalId": null,
  "moduleTestsScope": "all",
  "moduleTests": null,
  "registerEmployees": [
    "10584",
    "10941"
  ],
  "unregisterEmployees": [
    "11740"
  ]
}
POST https://api.startexam.com/v1/program/employees HTTP/1.1
Host: api.startexam.com
Accept: application/json; charset=utf-8
Authorization: SharedKey 99:f52JP7GQd0xqrBzMO1NWTNVGzLENymgdUXu/Ie++NX4=
Content-Type: application/json; charset=utf-8
Content-Length: 367
Date: Tue, 31 Mar 2026 01:21:33 GMT

{
  "programId": "d4d9897c-2c91-4c60-95c7-6842efb542dc",
  "programExternalId": null,
  "moduleTestsScope": "selected",
  "moduleTests": [
    "4ebdd1bf-410a-4212-ad54-de6592dbcd1d",
    "eede017b-67a8-47a4-a3d4-6181bf215ba0"
  ],
  "registerEmployees": [
    "10856",
    "10505",
    "10750",
    "10993",
    "10746",
    "10819"
  ],
  "unregisterEmployees": []
}

Date and Authorization headers are constructed in the standard way.

Response Information

HTTP status code

200 OK, 400 Bad Request, etc. according the response processing guide.

Content-Type

Json.

Content

Method returns operation results:

  • EmployeesRegistered - number of new employees added to the program.
  • AttemptsRegistered - number of attempts created.
  • EmployeesUnregistered - number of employees removed from the program.
  • AttemptsUnregistered - number of attempts removed.
  • TotalEmployeesInProgram - total number of employees in the program after operation.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 149

{
  "employeesRegistered": 2,
  "attemptsRegistered": 4,
  "employeesUnregistered": 1,
  "attemptsUnregistered": 2,
  "totalEmployeesInProgram": 99
}

Try Method